package com.dxhy.auth.client.configuration;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

import com.dxhy.auth.client.config.ServiceAuthConfig;

/**
 * @author jiaohongyang
 * @date 2019年3月26日 下午5:51:08
 *
 */
@Configuration
@ComponentScan({"com.dxhy.auth.client"})
public class AutoConfiguration {
    @Bean
    ServiceAuthConfig getServiceAuthConfig() {
        return new ServiceAuthConfig();
    }

    @Bean
    UserAuthConfig getUserAuthConfig() {
        return new UserAuthConfig();
    }

}
